Name:		scribus
Version:	1.5.8
Release:	%mkrel 11
Summary:	Open Source Page Layout
License:	GPLv2+
Group:		Publishing
URL:		https://www.scribus.net/
Source0:	https://downloads.sourceforge.net/scribus/%{name}-%{version}.tar.xz
Patch1:		0001-16734-Build-break-with-poppler-22.2.0.patch
Patch2:		0002-Small-update-vs-latest-code-in-poppler.patch
Patch3:		0003-16764-Build-break-with-poppler-22.03.0.patch
Patch4:		0004-Fix-build-with-poppler-22.04.0.patch
Patch5:		scribus-1.5.8-poppler-22.09.0.patch
Patch50:	scribus-1.5.7-build-without-scripts.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libcdr-0.1)
BuildRequires:	pkgconfig(libfreehand-0.1)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libmspub-0.1)
BuildRequires:	pkgconfig(libpagemaker-0.0)
BuildRequires:	pkgconfig(libpodofo)
BuildRequires:	pkgconfig(libqxp-0.0)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libvisio-0.1)
BuildRequires:	pkgconfig(libzmf-0.0)
BuildRequires:	pkgconfig(GraphicsMagick)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	boost-devel
BuildRequires:	cups-devel

Requires:	tkinter3
Requires:	ghostscript

%description
Scribus is a desktop open source page layout program with the aim of
producing commercial grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%files -f %{name}.lang
%doc %{_datadir}/doc/%{name}*
%{_bindir}/*
%{_libdir}/scribus/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/scribus/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	-DWANT_CPP17:BOOL=ON \
	-DWANT_HUNSPELL:BOOL=ON \
	-DWANT_GRAPHICSMAGICK:BOOL=ON \
	-DWANT_SCRIPTS:BOOL=ON \
	-DWANT_DISTROBUILD:BOOL=ON
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-category='Graphics' \
	--add-category='Office' \
	--add-category='X-Mageia-CrossDesktop'\
	%{name}.desktop

# install icons for hicolor and old WM
for size in 16x16 32x32 48x48 64x64 96x96 128x128 256x256 512x512; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$size/apps
  convert -resize $size resources/iconsets/artwork/icon_512x512.png %{buildroot}%{_iconsdir}/hicolor/$size/apps/%{name}.png
done

# we do not need kde stuffs for 2009
rm -f %{buildroot}%{_datadir}/mimelnk/application/vnd.scribus.desktop

%find_lang %{name} --with-man


%changelog
* Thu Mar 23 2023 daviddavid <daviddavid> 1.5.8-11.mga9
+ Revision: 1950178
- drop no more needed by the project Qt5WebKit build dependency

* Sat Jan 07 2023 squidf <squidf> 1.5.8-10.mga9
+ Revision: 1931169
- Mass rebuild for icu 72.1

* Mon Dec 12 2022 ns80 <ns80> 1.5.8-9.mga9
+ Revision: 1921112
- rebuild for new libtiff

* Sat Dec 03 2022 wally <wally> 1.5.8-8.mga9
+ Revision: 1916208
- rebuild for poppler 22.12.0

* Mon Oct 24 2022 ghibo <ghibo> 1.5.8-7.mga9
+ Revision: 1899132
- Rebuild against newer libpoppler

* Tue Sep 20 2022 luigiwalser <luigiwalser> 1.5.8-6.mga9
+ Revision: 1890694
- rebuild for podofo

* Sun Sep 04 2022 wally <wally> 1.5.8-5.mga9
+ Revision: 1883743
- rebuild for poppler 22.09.0

* Sat Jul 23 2022 wally <wally> 1.5.8-4.mga9
+ Revision: 1870370
- rebuild for poppler 22.07.0

* Sat Jun 18 2022 squidf <squidf> 1.5.8-3.mga9
+ Revision: 1864903
- rebuild for icu 71.1

* Sun May 15 2022 wally <wally> 1.5.8-2.mga9
+ Revision: 1858267
- rebuild for poppler 22.05.0

* Sun May 01 2022 wally <wally> 1.5.8-1.mga9
+ Revision: 1855400
- new version 1.5.8
- rebuild for poppler 22.04.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 1.5.7-10.mga9
+ Revision: 1773972
- rebuild for python 3.10

* Sun Dec 19 2021 wally <wally> 1.5.7-9.mga9
+ Revision: 1762541
- add Fedora patch to fix build with harfbuzz 3.0.0
- rebuild for poppler 21.12.0

* Sun Nov 07 2021 wally <wally> 1.5.7-8.mga9
+ Revision: 1754531
- rebuild for poppler 21.11.0

* Wed Sep 08 2021 wally <wally> 1.5.7-7.mga9
+ Revision: 1744527
- fix RPATH issue found by new post %%install /usr/lib/rpm/check-rpaths script
- use %%find_lang for translated man pages
- rebuild for poppler 21.09.0

* Thu Aug 12 2021 wally <wally> 1.5.7-6.mga9
+ Revision: 1741198
- rebuild for poppler 21.08.0

* Fri Aug 06 2021 luigiwalser <luigiwalser> 1.5.7-5.mga9
+ Revision: 1739874
- rebuild for podofo

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.5.7-4.mga9
+ Revision: 1738971
- rebuild for icu

* Sat Jun 19 2021 wally <wally> 1.5.7-3.mga9
+ Revision: 1731291
- rebuild for poppler 21.06.1

* Tue Apr 27 2021 daviddavid <daviddavid> 1.5.7-2.mga9
+ Revision: 1720006
- enable OSG 3D extension support

* Mon Apr 26 2021 daviddavid <daviddavid> 1.5.7-1.mga9
+ Revision: 1719943
- new version: 1.5.7
- remove merged upstream patches

* Sat Mar 20 2021 wally <wally> 1.5.6.1-7.mga9
+ Revision: 1705982
- rebuild for poppler 21.03.0

* Thu Mar 18 2021 neoclust <neoclust> 1.5.6.1-6.mga9
+ Revision: 1704401
- Rebuild against python 3.9

* Sun Jan 10 2021 wally <wally> 1.5.6.1-5.mga8
+ Revision: 1670298
- enable scripts
- require tkinter3 instead of python2 tkinter

* Thu Dec 17 2020 umeabot <umeabot> 1.5.6.1-4.mga8
+ Revision: 1659773
- Rebuild for new Qt5

* Sun Dec 06 2020 wally <wally> 1.5.6.1-3.mga8
+ Revision: 1653378
- rebuild for poppler 20.12.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.5.6.1-2.mga8
+ Revision: 1650928
- rebuild for icu

* Mon Nov 16 2020 daviddavid <daviddavid> 1.5.6.1-1.mga8
+ Revision: 1646475
- new version: 1.5.6.1
- remove merged upstream patches

* Thu Aug 06 2020 wally <wally> 1.5.5-15.mga8
+ Revision: 1611572
- rebuild for poppler 20.08.0

* Thu Jul 02 2020 daviddavid <daviddavid> 1.5.5-14.mga8
+ Revision: 1601344
- add patch to fix build with Qt 5.15
+ wally <wally>
- rebuild for icu 67.1

* Sat May 09 2020 daviddavid <daviddavid> 1.5.5-13.mga8
+ Revision: 1581946
- rebuild with fixed podofo pkgconfig file name

* Sat May 02 2020 wally <wally> 1.5.5-12.mga8
+ Revision: 1577944
- rebuild for poppler 0.88.0

* Sat Apr 04 2020 wally <wally> 1.5.5-11.mga8
+ Revision: 1564501
- rebuild for new icu 66.1

* Sat Apr 04 2020 wally <wally> 1.5.5-10.mga8
+ Revision: 1564380
- rebuild for poppler 0.87.0

* Sat Mar 07 2020 wally <wally> 1.5.5-9.mga8
+ Revision: 1554625
- rebuild for poppler 0.86.1

* Thu Feb 20 2020 umeabot <umeabot> 1.5.5-8.mga8
+ Revision: 1545593
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 1.5.5-7.mga8
+ Revision: 1484870
- add patch to fix build with poppler 0.84
- add patch to fix build with boost >= 1.71
- rebuild for poppler 0.84.0
+ wally <wally>
- build with new cmake macros

* Mon Dec 23 2019 wally <wally> 1.5.5-6.mga8
+ Revision: 1469685
- rebuild for poppler 0.83.0

* Thu Oct 31 2019 wally <wally> 1.5.5-5.mga8
+ Revision: 1457192
- rebuild for new poppler 0.82.0

* Thu Oct 10 2019 wally <wally> 1.5.5-4.mga8
+ Revision: 1451112
- rebuild for poppler 0.81.0

* Sat Oct 05 2019 daviddavid <daviddavid> 1.5.5-3.mga8
+ Revision: 1449504
- rebuild for new icu 65.1

* Fri Sep 20 2019 wally <wally> 1.5.5-2.mga8
+ Revision: 1444032
- build without python script support (not yet ported to python3)
- build with libqxp and libzmf
- build with python3
- rebuild for poppler 0.80.0

* Sat Aug 03 2019 daviddavid <daviddavid> 1.5.5-1.mga8
+ Revision: 1427191
- new version: 1.5.5
- remove merged upstream patches

* Mon Jul 15 2019 wally <wally> 1.5.4-13.mga8
+ Revision: 1421765
- rebuild with poppler 0.78.0
- add patches via Arch to fix build with poppler >= 0.75.0

* Mon Apr 01 2019 umeabot <umeabot> 1.5.4-12.mga7
+ Revision: 1384725
- Qt5 Rebuild

* Mon Feb 18 2019 wally <wally> 1.5.4-11.mga7
+ Revision: 1368163
- rebuild for new poppler 0.74.0

* Sat Jan 26 2019 wally <wally> 1.5.4-10.mga7
+ Revision: 1361110
- add patch to fix build with new poppler 0.73.0

* Mon Jan 21 2019 luigiwalser <luigiwalser> 1.5.4-9.mga7
+ Revision: 1358780
- rebuild for changed podofo pkgconfig name

* Fri Jan 11 2019 daviddavid <daviddavid> 1.5.4-8.mga7
+ Revision: 1354833
- rebuild for new icu

* Sat Dec 08 2018 wally <wally> 1.5.4-7.mga7
+ Revision: 1339039
- add patch to build with poppler 0.72.0

* Fri Nov 23 2018 daviddavid <daviddavid> 1.5.4-6.mga7
+ Revision: 1333480
- rebuild for new hunspell 1.7.0

* Sat Nov 17 2018 wally <wally> 1.5.4-5.mga7
+ Revision: 1330542
- add patch and rebuild for new poppler 0.71.0

* Sat Nov 03 2018 daviddavid <daviddavid> 1.5.4-4.mga7
+ Revision: 1327863
- rebuild for new podofo

* Thu Nov 01 2018 tv <tv> 1.5.4-3.mga7
+ Revision: 1327068
- fix building with newer poppler

* Mon Aug 27 2018 daviddavid <daviddavid> 1.5.4-2.mga7
+ Revision: 1255073
- rebuild for new icu

* Fri Jun 08 2018 daviddavid <daviddavid> 1.5.4-1.mga7
+ Revision: 1235398
- new version: 1.5.4
- remove merged upstream patches

* Sun Apr 15 2018 kekepower <kekepower> 1.5.3-6.mga7
+ Revision: 1219060
- Rebuild for new Poppler

* Wed Jan 10 2018 ns80 <ns80> 1.5.3-5.mga7
+ Revision: 1192064
- rebuild for new poppler

* Fri Dec 29 2017 wally <wally> 1.5.3-4.mga7
+ Revision: 1187013
- rebuild for new icu

* Thu Oct 12 2017 tv <tv> 1.5.3-3.mga7
+ Revision: 1171325
- rebuild for new poppler

* Fri Sep 22 2017 daviddavid <daviddavid> 1.5.3-2.mga7
+ Revision: 1157572
- add two upstream patches to fix build with poppler 0.58 and higher
- do not obsolete scribus-stable anymore
+ tv <tv>
- rebuild for new poppler

* Wed Jul 26 2017 neoclust <neoclust> 1.5.3-1.mga7
+ Revision: 1131225
- New version 1.5.3

* Sun Jul 02 2017 akien <akien> 1.5.2-6.mga6
+ Revision: 1108958
- Rebuild for podofo 0.9.6~svn

* Fri Mar 03 2017 daviddavid <daviddavid> 1.5.2-5.mga6
+ Revision: 1088668
- enable Corel Draw, Freehand and Pagemaker support
- enable MS-Visio and MS Publisher support

* Mon Jan 02 2017 luigiwalser <luigiwalser> 1.5.2-4.mga6
+ Revision: 1079511
- rebuild for poppler

* Tue Nov 29 2016 luigiwalser <luigiwalser> 1.5.2-3.mga6
+ Revision: 1070883
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.5.2-2.mga6
+ Revision: 1046200
- test rebuild for poppler

* Thu Jul 07 2016 daviddavid <daviddavid> 1.5.2-1.mga6
+ Revision: 1039206
- new version: 1.5.2

* Thu May 26 2016 luigiwalser <luigiwalser> 1.5.1-4.mga6
+ Revision: 1018625
- rebuild for poppler

* Tue May 10 2016 daviddavid <daviddavid> 1.5.1-3.mga6
+ Revision: 1011955
- rebuild for poppler 0.43.0

* Tue Apr 26 2016 daviddavid <daviddavid> 1.5.1-2.mga6
+ Revision: 1006414
- add patch to fix libhunspell-1.4 detection
- enable GraphicsMagick and poppler support

* Tue Apr 26 2016 daviddavid <daviddavid> 1.5.1-1.mga6
+ Revision: 1006380
- new version: 1.5.1
- fix Summary (name repeated)
- update BRs list, use more pkgconfig()
- add more icons

* Thu Apr 21 2016 tv <tv> 1.5.0-3.mga6
+ Revision: 1004203
- rebuid for libhunspell 1.4

* Wed Feb 17 2016 umeabot <umeabot> 1.5.0-2.mga6
+ Revision: 962769
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 joequant <joequant> 1.5.0-1.mga6
+ Revision: 871031
- upgrade to 1.5.0

* Wed Aug 26 2015 cjw <cjw> 1.4.4-7.mga6
+ Revision: 870014
- rebuild with gcc 5

* Thu May 14 2015 akien <akien> 1.4.4-6.mga5
+ Revision: 822087
- Stop obsoleting scribus-unstable, so that mga4 users can keep it

* Thu Nov 06 2014 tv <tv> 1.4.4-5.mga5
+ Revision: 795920
- obsolete scribus-unstable (year old snapshot which do not compile)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-4.mga5
+ Revision: 746398
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-3.mga5
+ Revision: 689082
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 luigiwalser <luigiwalser> 1.4.4-2.mga5
+ Revision: 673082
- rebuild for podofo
+ fwang <fwang>
- replace with mageia

* Thu May 29 2014 fwang <fwang> 1.4.4-1.mga5
+ Revision: 627440
- 1.4.4

* Sat Oct 19 2013 umeabot <umeabot> 1.4.3-2.mga4
+ Revision: 530721
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 1.4.3-1.mga4
+ Revision: 459334
- update tarballdir
- new version 1.4.3

* Thu Jan 17 2013 pterjan <pterjan> 1.4.2-1.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Tue Jan 15 2013 fwang <fwang> 1.4.2-1.mga3
+ Revision: 388289
- br podofo
- new version 1.4.2 with hunspell based

* Mon Jan 14 2013 umeabot <umeabot> 1.4.1-3.mga3
+ Revision: 381916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 ennael <ennael> 1.4.1-2.mga3
+ Revision: 301411
- fix group
- add ghostscript as require (#2795)

* Wed Jun 06 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 256154
- update tarball dir
- new version 1.4.1

* Mon Jan 02 2012 fwang <fwang> 1.4.0-2.mga2
+ Revision: 189545
- build with lcms2

* Mon Jan 02 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 189539
- new version 1.4.0 final

* Fri Dec 23 2011 fwang <fwang> 1.4.0-0.rc6.2.mga2
+ Revision: 186550
- rebuild for new libtiff

* Sat Dec 10 2011 fwang <fwang> 1.4.0-0.rc6.1.mga2
+ Revision: 180223
- new version 1.4.0 rc6

* Sun Jul 10 2011 fwang <fwang> 1.4.0-0.rc5.1.mga2
+ Revision: 121649
- new version 1.4.0 rc5

* Sun Apr 03 2011 boklm <boklm> 1.4.0-0.rc3.1.mga1
+ Revision: 79970
- version 1.4.0.rc3

* Fri Feb 25 2011 ahmad <ahmad> 1.4.0-0.rc1.1.mga1
+ Revision: 59903
- update to 1.4.0.rc1 (1.4.0 official release will be out soon)
- bump qt4-devel BR
- drop old/unneeded scriptlets

* Fri Feb 25 2011 ennael <ennael> 1.3.9-1.mga1
+ Revision: 59557
- clean spec file
- imported package scribus


* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 1.3.9-1mdv2011.0
+ Revision: 620621
- new version 1.3.9

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 1.3.8-3mdv2011.0
+ Revision: 591333
- rebuild for py 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 1.3.8-1mdv2011.0
+ Revision: 571455
- new version 1.3.8

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 1.3.7-1mdv2011.0
+ Revision: 551051
- New version 1.3.7

* Sat Mar 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.6-1mdv2010.1
+ Revision: 525384
- update to 1.3.6
- adapt to new icons location in src tarball

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.5.1-2mdv2010.1
+ Revision: 488803
- rebuilt against libjpeg v8

* Sun Aug 16 2009 Funda Wang <fwang@mandriva.org> 1.3.5.1-1mdv2010.0
+ Revision: 416831
- new version 1.3.5.1

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-0.svn13658.2mdv2010.0
+ Revision: 416532
- rebuilt against libjpeg v7

* Mon Jun 08 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13658.1mdv2010.0
+ Revision: 383812
- 1.3.5 rc2

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13385.1mdv2009.1
+ Revision: 366571
- new snapshot r13385

* Sat Apr 04 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13368.1mdv2009.1
+ Revision: 363984
- New snapshot

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.5-0.svn13262.1mdv2009.1
+ Revision: 352918
- New svn snapshot (fixes build with QT 4.5)
- Don't add Development to the name in the applications menu,
  it's of no use for normal users

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13129.1mdv2009.1
+ Revision: 335645
- New snapshot

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13118.1mdv2009.1
+ Revision: 335170
- New snapshot

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13066.2mdv2009.1
+ Revision: 331927
- disable format checking for now
- rediff str patch
- new snapshot

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12984.1mdv2009.1
+ Revision: 319931
- fix str fmt
- newsnapshot

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12927.1mdv2009.1
+ Revision: 310708
- New snapshot

* Wed Nov 19 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12879.1mdv2009.1
+ Revision: 304387
- new snapshot

* Mon Nov 03 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12805.1mdv2009.1
+ Revision: 299341
- New snapshot 12805

* Sat Oct 25 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12760.1mdv2009.1
+ Revision: 297228
- fix icon name
- New snapshot (qt4 version)

* Sat Sep 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1.3.3.12-5mdv2009.0
+ Revision: 288886
- Remove (stable) from the GenericName and add Dutch translation

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 1.3.3.12-4mdv2009.0
+ Revision: 286294
- use cmake to build
- prefer cairo over artgpl

* Thu Aug 28 2008 Funda Wang <fwang@mandriva.org> 1.3.3.12-3mdv2009.0
+ Revision: 276809
- confort upstream desktop file
- add office category to fix bug#43252

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 1.3.3.12-2mdv2009.0
+ Revision: 272292
- no mimelnk file
- add scribus.desktop
- New version 1.3.3.12

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 1.3.3.11-3mdv2009.0
+ Revision: 200860
- libsuffix should only work for x86_64 systems

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 1.3.3.11-2mdv2009.0
+ Revision: 200855
- use libsuffix (bug#39612)
- use qt3 macro

* Sun Jan 13 2008 Funda Wang <fwang@mandriva.org> 1.3.3.11-1mdv2008.1
+ Revision: 150436
- New version 1.3.3.11

* Wed Jan 09 2008 Funda Wang <fwang@mandriva.org> 1.3.3.10-1mdv2008.1
+ Revision: 147041
- make it backportable
- New version 1.3.3.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Funda Wang <fwang@mandriva.org> 1.3.3.10-0.10439.2mdv2008.0
+ Revision: 89554
- Add cross-desktop category (bug#333739)
- use doc icon rather than app icon

* Sat Aug 25 2007 Funda Wang <fwang@mandriva.org> 1.3.3.10-0.10439.1mdv2008.0
+ Revision: 71352
- really want lib64
- svn snapshot at 10439
- replace patch0 by upstream decision :(
- scribus does not own application/x-scribus mimetype
- Fix desktop icon
- Obsoletes old lan package

* Tue Jul 24 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-7mdv2008.0
+ Revision: 54884
- Put scribus into publishing rather than wordprocessor

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add Uppercase patterns
    - End mimetypes with a semi-colon

* Mon Jul 23 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-6mdv2008.0
+ Revision: 54520
- Add vnd.scribus.desktop for KDE's mimelnk
- Add desktop file patch to fix bug#31591

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-5mdv2008.0
+ Revision: 54136
- Add libpath patch
- use cmake
- Remove old translations
- More requires for the plugins

* Tue Jul 03 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-4mdv2008.0
+ Revision: 47348
- Bump release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix layout

* Mon Jul 02 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-3mdv2008.0
+ Revision: 46926
- Build python scripts

* Mon Jul 02 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-2mdv2008.0
+ Revision: 46919
- obsoletes libname
- fix bug#24032

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3.3.9-1mdv2008.0
+ Revision: 27303
- Updated to 1.3.3.9.


* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.8-1mdv2007.0
+ Revision: 130608
- 1.3.3.8

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.7-1mdv2007.1
+ Revision: 106938
- 1.3.3.7

* Mon Dec 04 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.6-1mdv2007.1
+ Revision: 90468
- 1.3.3.6

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.5-1mdv2007.0
+ Revision: 83292
- 1.3.3.5

* Fri Oct 13 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.4-1mdv2007.1
+ Revision: 63820
- 1.3.3.4

  + Olivier Blin <oblin@mandriva.com>
    - Import scribus

* Wed Aug 09 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.3-1
- 1.3.3.3

* Thu Jun 01 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.2-1
- 1.3.3.2

* Tue Apr 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.3.1-1mdk
- New release 1.3.3.1
- Change URL
- Make rpmbuildupdate

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-2
- Fix build on x86_64

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-1
- 1.3.3

* Mon Jan 23 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.2-1
- 1.3.2

* Tue Dec 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-4
- Add tiff-devel as buildrequires fix : bug #15939

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-3mdk
- fix build on x86_64

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-2mdk
- rebuild against openssl-0.9.8

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-1
- 1.3.1

* Sat Jul 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.0-1
- 1.3.0

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-2mdk
- no bz2 ending for man pages
- drop patches that wasn't applied
- sane %%setup
- fix path to qt3 libs (lib64)

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-1mdk
- 1.2.2.1
- %%mkrel

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 1.2.2-1mdk
- 1.2.2
- patch now merged upstream

* Sun Apr 17 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-2mdk
- Fixed %%{scribusdir} for X86-64.
- Added Patch2.

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- lib64 fixes (again)

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Fix url bug found by 'Quel Qun <kelk1@comcast.net>"

* Mon Aug 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2 (before new version freeze)

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.6-2mdk
- fix buildrequires

* Fri May 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-1mdk
- New release 1.1.6

